@import url("https://fonts.googleapis.com/css2?family=Caprasimo&display=swap");
@import url("https://fonts.cdnfonts.com/css/lufga");

:root {
    --bg-primary: #1b4332;
    --bg-secondary: #74c69d;
    --text-secondary: #2d6a4f;
}

* {
    margin: 0;
    padding: 0;
    color: #d8f3dc;
    font-size: 16px;
    font-family: "Lufga", sans-serif;
    /* outline: red dashed 1px; */
}

.caprasimo-regular {
    font-family: "Lufga", sans-serif;
    font-weight: bold;
    /* font-style: normal; */
}

body {
    background-color: #2d6a4f;
    background-image: url("images/SampleBG.jpg");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center center;
    background-attachment: fixed;
}

.navbar {
    width: auto;
    height: 100vh;
    position: fixed;
    top: 0;
    background-color: var(--bg-primary);
    transition: height 200ms ease;
    border-radius: 0 20px 20px 0px;
}

.navbar-nav {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.nav-item {
    width: 100%;
    padding: 10px 0;
    margin: 0 auto;
}

/* .nav-item:last-child{
    margin-top: auto;
} */

.nav-link {
    display: flex;
    align-items: center;
    height: 5rem;
    color: var(--bg-primary);
    text-decoration: none;
    filter: grayscale(100%) opacity(0.7);
    transition: 600ms;
}

.nav-link svg {
    width: 2rem;
    height: 2rem;
    object-fit: contain;
}

.nav-link:hover {
    filter: grayscale(0%) opacity(1);
    background: var(--bg-secondary);
    color: var(--text-secondary);
}

.link-text {
    display: none;
    margin-left: 1rem;
    font-weight: bold;
}

.nav-link svg {
    min-width: 2rem;
    margin: 0 1.5rem;
}

.navbar:hover {
    width: 12rem;
}

.navbar:hover .link-text {
    display: block;
}
@media screen and (max-width: 600px) {
    .navbar {
        border-radius: 0 0px 20px 20px;
        height: auto;
        width: 100%;
    }
    .navbar:hover {
        width: 100%;
    }
    .navbar-nav {
        flex-direction: row;
    }

    .navbar:hover .link-text {
        display: none;
    }
    .nav-link:hover {
        border-radius: 100px;
    }
    .nav-item {
        width: 0;
        place-items: center;
    }
}
